Reply

R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

sncpa
Guide

R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

I checked on my router updates and an update was suggested: V1.0.2.84(~) to V1.0.2.90. Using the firmware assistant, it reported an MD5 Checksum error and failed to install. Per other discussions on the board, I downloaded manually from https://www.netgear.com/support/product/R7800.aspx#Firmware%20Version%201.0.2.90

and installed; that went fine.

 

After reboot and recheck again with the firmware assistant, it now wants to go from V1.0.0.422 to V1.0.0.423. 

 

None of this should have happened.... what's up? My guess would be that Netgear (and now my router) is compromised!

Debating going back to 1.0.2.84.

 

If this is some separate download, why is it not in the very latest D/L? And why does it have overlapping version numbers? 

 

Model: R7800|Nighthawk X4S AC2600 Wifi Router
Message 1 of 21
plemans
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

got a screen snip showing it? 

Current setup: CM2000-> RBKE963B-> Trendnet TEG-S380-> GS716T-> pi-hole
1.4gig download/50mbps upload
We’re members of the public helping out on our own time.
Message 2 of 21
sncpa
Guide

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

r7800upd.png

Message 3 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Thats GUI (Graphical User Interface) langage version update, not FW. 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 4 of 21
sncpa
Guide

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

The messaging on this is terrible, if that's a separate subinstall.   It says clearly "New firmware is found. Do you want to update the firmware?" At top right "Router firmware Version".  At the least, it needs to say: "Your current firmware is up-to-date. Your language pack is needs to be updated. Do you want to update the language pack?"  I know lazy developer (non)thinking... I am one.

 

The MD5 checksum error isn't exactly a trust-builder either.

Message 5 of 21
sncpa
Guide

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

And here's a MD5 verify error clicking Yes to update the GUI Language version.  Come on.

r7800lang.png

Message 6 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Try a factory reset and walk thru the setup wizard with a wired PC and web browser.

It's not FW, is GUI Version, means a udpate to the routers web page. 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 7 of 21
sncpa
Guide

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Why would that make the slightest difference? It's got the latest build of the firmware already (I did have to download and install that via a hardwired PC, for the first time ever, for no good reason). Netgear needs to straighten out the posted files. Too much time wasted for a simple update already.

Message 8 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Then revert back to what you had loaded. 

I saw this when I updated to v84, however mine updated fine. I let it update and it completed. 

 

Make contact with NG support and let them know what your having problems with:

https://my.netgear.com/support/contact.aspx

 

Goof Luck. 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 9 of 21

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423


@sncpa wrote:

Why would that make the slightest difference? It's got the latest build of the firmware already

 


There have been times when a firmware flash has not been as complete as it should. So it is a standard move to try again if you have problems with new firmware.

 

But in this case, the firmware may have done what was expected of it.

 

There has never been V1.0.0.423 firmware for the R7800. As @FURRYe38 says, the GUI language version is a separate setting.

 

I have seen that before now. Firmware install just fine, and later it wants to update the language.It doesn't happen very often. It is a week or so since I added 1.0.2.90, but I vaguely remember seeing the same thing. It all went through smoothly.

 

Good point about the confusing error messages. Not everyone is nerdy enough to know what these things mean. Of course, if Netgear had its way none of us would go anywhere near the GUI. Firmware updates would all be done with some (cr)app or overnight when we weren't watching.

Just another user.

My network DM200 -> R7800 -> GS316 -> PL1000 -> Orbi RBR40 -> Orbi RBS50Y -> RBS40V
Message 10 of 21
ZDemshar
Tutor

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Same here

Message 11 of 21
ZDemshar
Tutor

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Absolutely having the same experience

Message 12 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Try a factory reset and walk thru the setup wizard with a wired PC and web browser.

 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 13 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Can you all re-check this? I got word from NG that this was fixed on there side. 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 14 of 21
Andydie
Aspirant

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

I also performed the factory reset and always I use a wired PC but always the same issue even now.
Now I have also found another issue, the router no longer allows changing the language, trying to change the language the GUI always returns to English.
But is it not possible to download this type of update to do it manually?
With manual update I was able to update to firmware V1.0.2.90 which otherwise automatically returned the same issue "MD5 verify error"
Regards

Message 15 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Ya, guess not. Hopefully NG will fix it. I've pass this back to NG. 

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 16 of 21
WhiteHare
Initiate

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

I'm in the same boat as you.  It'd ridiculous having to do a factory reset.  Therefore, I'm going to assume that running the current 1.0.2.90 firmware is what's important, and that the v1.0.0.423 GUI update is only relevant for communication between the browser and the the v1.0.2.90 firmware.  I don't know about you, but I only rarely need to access the router GUI, so I can wait.  Obviously Netgear should fix it, but it seems much less important than our fixing the security vulnerabilities, which is the point of the 1.0.2.90 update. 

 

If someone has a different view, please post!  We're all in this togther.

Message 17 of 21
Dirtnap
Aspirant

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

I'm having the same issue.  Seems to be a bad firmware update.  Hopefully NG fixes this soon.  Factory resetting this is a bad answer.

Message 18 of 21
DexterJB
NETGEAR Moderator

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Hi all, thank you for reporting this. This is currently being worked on by the team. We will provide an update as soon as it is available.

 

Dexter

NETGEAR Team

Message 19 of 21
KevinChen
Aspirant

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Hello, 2 months passed, has this GUI issue solved?

I have a similar experience about 5 years ago, at that time, NETGEAR told me my ISP blocked the downloading (however, updating firmware was ok)

 

https://community.netgear.com/t5/Nighthawk-WiFi-Routers/R7800-has-no-Traditional-Chinese-language/td...

Message 20 of 21
FURRYe38
Guru

Re: R7800 Updated to 1.0.2.90, now wants to install V1.0.0.423

Yes.

My Setup ISP SparkLight | Internet Cable 1000↓/50↑ CBR750 Modem | Wifi Router CBR750(v.7) | Switches NG GS105/8 and XS505M | 

Additional NG HW: C7800/CAX80/CM1100/CM1200/CM2000, Orbi: CBK40, CBK752, RBK50, RBK853, RBK752, RBK953, SXK30 | NightHawk: R7000, R7800, R7960P, R8000, R8500, RAXE500, RAX50, XR450, EX7500/EX7700, GS308v3

Message 21 of 21
Discussion stats
  • 20 replies
  • 1981 views
  • 4 kudos
  • 10 in conversation
Announcements

Orbi WiFi 6E